knowledge-bases-books-pages-manifests-get-one¶
Source¶
Repository:
jef-systems/jef-knowledge-bases-backendSource Run ID:
25224728551Source SHA:
aa5ff95e9fc61b1117b4e8fbff26c3c0f37efea2Module:
knowledge-basesDocumentation Scope:
getLambda:
jef-knowledge-bases-get-5
Endpoint¶
API Name:
jef-knowledge-basesAction Name:
getMethod:
GETScope Label:
GETResource Path:
/knowledge-bases-books-pages-manifests-get-oneComplete Endpoint:
https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-books-pages-manifests-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-knowledge-bases-get-5curl payload mode:
query_string
API Gateway Description¶
Function: jef-knowledge-bases-get-5
API Name: jef-knowledge-bases
Action: get
Method: GET
Resource Path: /knowledge-bases-books-pages-manifests-get-one
Table:
- table: jef-knowledge-bases-books-pages-manifests
- operation: get-one
Payload Schema:
- pk: page_key
Payload Example:
- pk: document-001-page-0001
Response Schema:
- exists: boolean
- message: string
- item: {"document_id":"string","page_key":"string","knowledge_base_id":"string","book_id":"string","book_version":"string","book_slug":"string","title":"string","source_type":"string","source_uri":"string","source_hash":"string","s3_bucket":"string","s3_key":"string","content_type":"string","page_number":"number","text":"string","text_length":"number","text_hash":"string","word_count":"number","normalized":"boolean","empty_page":"boolean","chunk_count":"number","extraction_engine":"string","ingestion_status":"string","status":"string","active":"boolean","pipeline_run_id":"string","created_at":"string","updated_at":"string","submitted_at":"string","created_by":"string","updated_by":"string","error_message":"string","idempotency_key":"string"}
Request Payload¶
{
"pk": "page_key"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"document_id\":\"string\",\"page_key\":\"string\",\"knowledge_base_id\":\"string\",\"book_id\":\"string\",\"book_version\":\"string\",\"book_slug\":\"string\",\"title\":\"string\",\"source_type\":\"string\",\"source_uri\":\"string\",\"source_hash\":\"string\",\"s3_bucket\":\"string\",\"s3_key\":\"string\",\"content_type\":\"string\",\"page_number\":\"number\",\"text\":\"string\",\"text_length\":\"number\",\"text_hash\":\"string\",\"word_count\":\"number\",\"normalized\":\"boolean\",\"empty_page\":\"boolean\",\"chunk_count\":\"number\",\"extraction_engine\":\"string\",\"ingestion_status\":\"string\",\"status\":\"string\",\"active\":\"boolean\",\"pipeline_run_id\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"submitted_at\":\"string\",\"created_by\":\"string\",\"updated_by\":\"string\",\"error_message\":\"string\",\"idempotency_key\":\"string\"}"
}
CMD curl¶
curl "https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-books-pages-manifests-get-one?pk=document-001-page-0001"
PowerShell curl¶
curl.exe "https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-books-pages-manifests-get-one?pk=document-001-page-0001"